[arch-commits] Commit in openoffice-base-devel/trunk (7 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Tue Aug 5 07:32:51 EDT 2008


    Date: Tuesday, August 5, 2008 @ 07:32:51
  Author: andyrtr
Revision: 7978

upgpkg: openoffice-base-devel 3.0_dev300_m29-1
    new snapshot; see also ChangeLog

Modified:
  openoffice-base-devel/trunk/ChangeLog
  openoffice-base-devel/trunk/PKGBUILD
  openoffice-base-devel/trunk/default-no-startup-wizard.diff
  openoffice-base-devel/trunk/default-system-fpicker.diff
  openoffice-base-devel/trunk/gui-insensitive.diff
  openoffice-base-devel/trunk/jvmfwk-gij-paths.diff
  openoffice-base-devel/trunk/openoffice.install

--------------------------------+
 ChangeLog                      |   32 +++++
 PKGBUILD                       |  219 ++++++++++++++++-----------------------
 default-no-startup-wizard.diff |    6 -
 default-system-fpicker.diff    |    8 -
 gui-insensitive.diff           |   14 +-
 jvmfwk-gij-paths.diff          |    7 -
 openoffice.install             |   16 +-
 7 files changed, 150 insertions(+), 152 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-08-05 11:08:20 UTC (rev 7977)
+++ ChangeLog	2008-08-05 11:32:51 UTC (rev 7978)
@@ -1,3 +1,35 @@
+openoffice-base-devel - 3.0_dev300_m29-1
+- build with openjdk6 (with rhino removed)
+- patch cleanup
+- build with system icu again
+- build with system xmlsec again
+
+openoffice-base-devel - 3.0_dev300_m26-1
+- fix jvmfwk-gij-paths.diff
+- fix buildfix-gcc43.diff
+- fix buildfix-systemhunspell.diff
+- fix fix-font-hinting.diff
+- added --with-system-dicts
+- disable binfilter, currently (smp build) broken 
+  we don't need it anymore
+- try to build with-system-boost again
+- remove --disable-qadevooo
+  http://www.openoffice.org/issues/show_bug.cgi?id=91452
+
+openoffice-base-devel - 3.0_dev300_m19-1
+- back to gcc-gcj 4.3.1
+- fix jvmfwk-gij-paths.diff
+- add build verbose switch
+
+openoffice-base-devel - 3.0_dev300_m14-1
+- major dependency cleanup
+- (our) gcj build is currently broken - so we use SUN jdk now
+
+openoffice-base-devel - 3.0_dev300_m11-1
+- gtkunixprintdialog.patch disabledabled again, patch won't apply
+- fixed mozilla flavor to "xulrunner"
+  (libxul is now default for upcoming xulrunner 1.9 renamed to libxul)  
+
 openoffice-base-devel - 3.0_dev300_m10-1 (i686 only)
 - use openoffice.org-2.0.3.rh127576.gtkunixprintdialog.patch
   from Fedora for new gtkunixprintdialog.diff

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-05 11:08:20 UTC (rev 7977)
+++ PKGBUILD	2008-08-05 11:32:51 UTC (rev 7978)
@@ -2,98 +2,66 @@
 # Contributor: Hussam Al-Tayeb <ht990332 at gmail.com>
 
 pkgname=openoffice-base-devel
-pkgver=3.0_dev300_m10
+pkgver=3.0_dev300_m29
 pkgrel=1
 pkgdesc="OpenOffice.org - a free multiplatform and multilingual office suite"
-arch=(i686 x86_64)
-#_OO_milestone=dev300-m10
-_OO_milestone=DEV300_m10
+arch=('i686' 'x86_64')
+#_OO_milestone=dev300-m29
+_OO_milestone=DEV300_m29
 license=('LGPL3')
 url="http://www.openoffice.org"
 install=openoffice.install
-depends=('ttf-dejavu' 'curl' 'desktop-file-utils' 'fontconfig>=2.5' 'gtk2>=2.12.7'
-         'hunspell>=1.2.2-2' 'perl' 'python>=2.5.1' 'libwpd' 
-         'startup-notification>=0.9' 'xalan-java' 'libxaw' 'libcups' 'hsqldb-java'
-         'neon>=0.28.2' 'dbus-glib' 'nss' 'pstoedit') #'libsndfile'
-	# 'xmlsec' - broken # "icu>=3.8" broken
-	#'gstreamer0.10-base' 
-# for gnu java/ecj
-makedepends=('bison' 'cvs' 'curl' 'findutils'
-             'flex' 'gawk' 'gcc-libs' 'kdelibs' 'libart-lgpl' 'pam' 'sane' 'zip'
-             'perl-archive-zip' 'pkgconfig'  'unzip' 'xulrunner>=1.8.1.3'
-             'java-gcj-compat' 'apache-ant' 'cairo' 'gperf')	# 'boost' - we use internal one. jfreereport is broken
-# for SUN Java
-#makedepends=('boost' 'bison' 'cvs' 'curl' 'findutils'
-#             'flex' 'gawk' 'gcc-libs' 'kdelibs' 'libart-lgpl' 'pam' 'sane' 'zip'
-#             'perl-archive-zip' 'pkgconfig' 'unzip' 'xulrunner>=1.8.1.3'
-#             'jdk' 'apache-ant' 'cairo')
+depends=('curl>=7.18.0' 'hunspell>=1.2.2-2' 'python>=2.5.1' 'libwpd' 
+         'libxaw' 'libcups' 'neon>=0.28.2' 'dbus-glib' 'pstoedit' 'icu' 'redland')
+optdepends=('java-runtime:	adds java support')
+makedepends=('bison' 'cvs' 'curl' 'findutils' 'flex' 'gawk' 'gcc-libs' 'libart-lgpl'
+             'pam' 'sane' 'zip' 'perl-archive-zip' 'pkgconfig'  'unzip' 'xulrunner>=1.9.0.1'
+             'boost' 'apache-ant' 'cairo' 'gperf' 'xmlsec' 'gconf' 'openjdk6')
 provides=('openoffice-base')
 
-#MIRROR=ftp://ftp.gwdg.de/pub/openoffice # has all late but is fast
-#MIRROR=http://ftp.rz.tu-bs.de/pub/mirror/OpenOffice.org
-#MIRROR=ftp://ftp-1.gwdg.de/pub/openoffice/developer
-MIRROR=ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/build/Sources/
+MIRROR=ftp://ftp5.gwdg.de/pub/openoffice/extended/developer/
+#MIRROR=ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/build/Sources
 #MIRROR=http://download.go-oo.org/DEV300
 
-source=(#$MIRROR/${_OO_milestone}-{core,binfilter,system}.tar.bz2
-	$MIRROR/OOo_${_OO_milestone}_source.tar.gz
+source=($MIRROR/${_OO_milestone}/OOo-Dev_${_OO_milestone}_src_{core,system}.tar.bz2
+	#$MIRROR/OOo_${_OO_milestone}_source.tar.gz
 	template.desktop
 	default-no-startup-wizard.diff
 	default-system-fpicker.diff
-	jvmfwk-gij-paths.diff
-	gui-insensitive.diff
-	libxmlsec-system-nss.diff
 	libxmlsec-findcerts.diff
 	soffice-detect-mozilla-certificates.diff
-	gtkunixprintdialog.diff
-	soffice.diff
-	buildfix-xmlhelp-system-expat.diff
-	cairo-buildfix.diff
-	fixupsystem-hunspell.patch
+	buildfix-gcc43.diff
+	shell.patch
 	#http://oooconv.free.fr/fontooo/FontOOo.sxw
-	FontOOo_1.7.1.sxw # from http://www.openoffice.org/issues/show_bug.cgi?id=81102
-	awt_x86_64.diff)
-options=('!distcc' '!ccache')
-md5sums=('2bcedcdd487319ec601aaf71114f614a'
-         '50f1b6923deb05756de0efa02c5a63e0'
-         '0faab33566196ddc9c405d68cf614663'
-         '39e4c1b1e864b22ee4650b2bff44c695'
-         '8980e21cef021d050ab1d4a13c85eb08'
-         '4c76c07e867d51c416ea258220a90a6a'
-         '28f37939e38d22bb3feaac8d17215673'
-         'a8b96e9d0ce92a8f6690f277b1cfacc9'
-         '1dc7480a04f572ad136d35923a2af66d'
-         '8cfa94097aaba71dbecf4c28c8a52003'
-         '44174ef4e71ba835fcd2a59733213cc9'
-         '3adf8d08dd91203f4fce0502f2a491ff'
-         '5421bcba1012e0a887f770262af83ce2'
-         '3f1eedb6a6f4fbed7c09f4dce7e2e96b'
-         '1fc1ca5205730655eab2d2e119aa06fe'
-         '83bb5e235c4e4062eed404829d760c14')
+	# from http://www.openoffice.org/issues/show_bug.cgi?id=81102
+	FontOOo_1.7.1.sxw)
+options=('!distcc' '!ccache' '!makeflags')
 
 # see ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/build/build for upstream build instructions
 
 build() {
-	# just to make sure that it will detect the desired JDK/JVM - we want gcc-gcj/ecj
+	# just to make sure that it will detect the desired JDK/JVM - we want openjdk6
 	unset J2REDIR; unset J2SDKDIR; unset JAVA_HOME; unset CLASSPATH
-	[ -z "${JAVA_HOME}" ] && . /etc/profile.d/java-gcj-compat.sh
+	[ -z "${JAVA_HOME}" ] && . /etc/profile.d/openjdk6.sh
 	JAVAHOME=${JAVA_HOME}
-	[ -z "${QTDIR}" ] && . /etc/profile.d/qt3.sh
-	[ -z "${KDEDIR}" ] && . /etc/profile.d/kde.sh
 	[ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh
-#	[ -z "${JAVA_HOME}" ] && . /etc/profile.d/jdk.sh
 
-	#cd $startdir/src/${_OO_milestone}/
-	cd $startdir/src/ooo_${_OO_milestone}_src/
+	cd $startdir/src/${_OO_milestone}/
+	#cd $startdir/src/ooo_${_OO_milestone}_src/
 
+#	export _MILESTONE=DEV300_m12
+#	export 'CVSROOT=:pserver:anoncvs at anoncvs.services.openoffice.org:/cvs'
+#	cvs -z9 co -r $_MILESTONE hyphen || return 1
+
+	# some speedups
+	export SMP="6"
+	MAXMODULESFLAG="-P${SMP}"
+	MAXPROCESSESFLAG="-P${SMP}"
+	export nodep=true
+	export NO_HIDS=true
+
 	# build fixes
-	# gcj build fix to find our gcj libs paths
-	patch -Np0 -i ../jvmfwk-gij-paths.diff || return 1
-	patch -Np0 -i ../buildfix-xmlhelp-system-expat.diff || return 1
-	patch -Np0 -i ../cairo-buildfix.diff || return 1
-	pushd lingucomponent
-	patch -Np0 -i ../../fixupsystem-hunspell.patch || return 1
-	popd
+	patch -Np0 -i ../buildfix-gcc43.diff || return 1
 
 	# allows xmlsec to be able to read the format of the digital certificates.
 	patch -Np0 -i ../libxmlsec-findcerts.diff || return 1
@@ -101,36 +69,25 @@
 	# his digital certificates. Nss stores digital certificates in your mozilla firefox profile. 
 	patch -Np0 -i ../soffice-detect-mozilla-certificates.diff || return 1
 
+
 	# important bugfixes
-	# nothing right now :)
+	# try to fix non-gtk integration 
+	patch -Np0 -i ../shell.patch || return 1
 
-	# this heavily improves the looks of disabled icons in OpenOffice toolbar. 
-	patch -Np0 -i ../gui-insensitive.diff || return 1
-
 	# remove the startup wizard
 	patch -Np0 -i ../default-no-startup-wizard.diff || return 1
 	# enables the default system-file-picker in case we have that built
 	patch -Np0 -i ../default-system-fpicker.diff || return 1
 
-	# add gtkprint dialog for gtk environment
-#	patch -Np0 -i ../gtkunixprintdialog.diff || return 1
-
-	# arch related fixes & configure options
-	if [ "$CARCH" = "i686" ]; then
-	  EXTRAOPTS="--with-arch=x86 "
-	fi
-
 	if [ "$CARCH" = "x86_64" ]; then
-	  EXTRAOPTS="--with-arch=x86_64"
-          # fixes to build with SUN jdk/jre
+          # fix to build with SUN jdk/jre and OpenJDK
           # http://qa.openoffice.org/issues/show_bug.cgi?id=74749
-	 # sed -i "s:lib64\/libjpeg.so:lib\/libjpeg.so:g" $startdir/src/${_OO_milestone}/solenv/inc/libs.mk
-          # http://qa.openoffice.org/issues/show_bug.cgi?id=74751
-	 # patch -Np0 -i ../awt_x86_64.diff || return 1
+	  sed -i "s:lib64\/libjpeg.so:lib\/libjpeg.so:g" $startdir/src/${_OO_milestone}/solenv/inc/libs.mk
+#	  sed -i "s:lib64\/libjpeg.so:lib\/libjpeg.so:g" $startdir/src/ooo_${_OO_milestone}_src/solenv/inc/libs.mk
 	fi
 
-	#cd $startdir/src/${_OO_milestone}/config_office
-	cd $startdir/src/ooo_${_OO_milestone}_src/config_office
+	cd $startdir/src/${_OO_milestone}/config_office
+	#cd $startdir/src/ooo_${_OO_milestone}_src/config_office
 
 	# Set OOO_VENDOR in build environment
 	export OOO_VENDOR="ArchLinux"
@@ -138,41 +95,42 @@
 	export ARCH_FLAGS="$CFLAGS"
 
 	# Need to recreate the configure script because of patches
-	autoconf || return 1
+	autoreconf -v || return 1
 
 	./configure --with-build-version="${pkgver} ArchLinux build-${pkgrel} (${_OO_milestone})" \
 	--prefix=/usr --exec-prefix=/usr\
-	--with-binfilter\
 	--disable-ldap\
 	--with-lang="en-US"\
 	--disable-gnome-vfs\
-	--disable-mono\
+	--disable-binfilter\
+	--disable-lockdown\
 	--disable-odk\
-	--disable-qadevooo\
 	--disable-systray\
-	--disable-gpc\
+	--disable-mathmldtd\
+	--enable-gio\
 	--enable-gtk\
-	--enable-kde\
 	--enable-cups\
 	--enable-dbus\
 	--enable-cairo\
 	--enable-evolution2\
 	--enable-crashdump\
-	--enable-libsn\
 	--enable-vba\
+	--enable-verbose\
 	--with-package-format=native\
+	--with-system-boost\
 	--with-system-db\
 	--with-system-cairo\
 	--with-system-curl\
+	--with-system-dicts\
 	--with-system-expat\
-	--with-system-fonts\
 	--with-system-freetype\
 	--with-system-hunspell\
+	--with-system-icu\
 	--with-system-jpeg\
 	--with-system-libwpd\
 	--with-system-libxml\
 	--with-system-libxslt\
-	--with-system-mozilla\
+	--with-system-mozilla=libxul\
 	--with-system-neon\
 	--with-system-python\
 	--with-system-sane-header\
@@ -183,12 +141,12 @@
 	--with-system-openssl\
 	--without-fonts\
 	--without-myspell-dicts\
-	--without-nas\
-	--without-docdir\
 	--without-afms\
+	--without-gpc\
 	--without-myspell-dicts\
+	--without-nas\
+	--without-stlport\
 	--with-jdk-home=${JAVA_HOME} \
-	--with-java-home=${JAVA_HOME} \
  	--with-system-hsqldb \
 	--with-hsqldb-jar=/usr/share/java/hsqldb.jar \
 	--with-system-xerces \
@@ -201,9 +159,10 @@
 	--with-use-shell=bash\
 	 $EXTRAOPTS || return 1
 
-#	--stoponerror\ # should work from m8 but configure doesn't know about it
-#	--with-system-icu\
+#	--enable-kde\
+#	--disable-qadevooo\ http://www.openoffice.org/issues/show_bug.cgi?id=91452
 
+
 	cd ..
 
 	# Setup environment for build
@@ -217,7 +176,7 @@
 
 	# to compile with SMP add -P2 or above, remove any -Px if your cou has only one core or if you want to fix it for non smp build
 	cd instsetoo_native
-	build.pl -P6 --all || return 1
+	build.pl -P${SMP} ${MAXMODULESFLAG} ${MAXPROCESSESFLAG} --dlv_switch -link --all || return 1
 	cd ..
 
 	# install binaries
@@ -228,22 +187,21 @@
 
 	cd $startdir/pkg/opt/
 
-       ## Step 1 
-       cd $startdir/pkg/opt/openoffice.org || return 1
-       mv ure/ basis3.0/ || return 1
-       cd basis3.0 || return 1
-       rm ure-link && mv ure ure-link || return 1
-       ## Step 2
-       cd $startdir/pkg/opt/ || return 1
-       mv openoffice.org/basis3.0/ openoffice.org3/ || return 1
-       cd openoffice.org3/ || return 1
-       rm basis-link && mv basis3.0 basis-link || return 1
-       ## Step 3        
-       cd $startdir/pkg/opt/ || return 1
-       rmdir $startdir/pkg/opt/openoffice.org || return 1
-       mv openoffice.org3 openoffice || return 1
+        ## Step 1 
+        cd $startdir/pkg/opt/openoffice.org || return 1
+        mv ure/ basis3.0/ || return 1
+        cd basis3.0 || return 1
+        rm ure-link && mv ure ure-link || return 1
+        ## Step 2
+        cd $startdir/pkg/opt/ || return 1
+        mv openoffice.org/basis3.0/ openoffice.org3/ || return 1
+        cd openoffice.org3/ || return 1
+        rm basis-link && mv basis3.0 basis-link || return 1
+        ## Step 3        
+        cd $startdir/pkg/opt/ || return 1
+        rmdir $startdir/pkg/opt/openoffice.org || return 1
+        mv openoffice.org3 openoffice || return 1
 
-
 	# prepare filesystem entries
 	mkdir -p $startdir/pkg/usr/{bin,share/applications}
 	mkdir -p $startdir/pkg/usr/share/icons/{HighContrast,hicolor,locolor}
@@ -254,7 +212,7 @@
 	ln -s ../../opt/openoffice/program/spadmin spadmin
 
 	# install shortcuts
-	cp $startdir/pkg/opt/openoffice/share/xdg/*.desktop  $startdir/pkg/usr/share/applications
+	mv $startdir/pkg/opt/openoffice/share/xdg/*.desktop  $startdir/pkg/usr/share/applications
 	cd $startdir/pkg/usr/share/applications
 	sed -i -e 's|Exec=openoffice.org3.0|Exec=/opt/openoffice/program/soffice|g' *.desktop
 	sed -i -e 's|Exec=/opt/openoffice/program/soffice-printeradmin|Exec=/opt/openoffice/program/spadmin|g' printeradmin.desktop
@@ -273,9 +231,9 @@
 	install -D -m644 $startdir/src/template.desktop $startdir/pkg/usr/share/applications/template.desktop
 
 	# install icons
-#	cd $startdir/src/${_OO_milestone}/sysui/desktop/icons
-	cd $startdir/src/ooo_${_OO_milestone}_src/sysui/desktop/icons
-	cp -a -v HighContrast/*x* $startdir/pkg/usr/share/icons/HighContrast
+	cd $startdir/src/${_OO_milestone}/sysui/desktop/icons
+#	cd $startdir/src/ooo_${_OO_milestone}_src/sysui/desktop/icons
+	#cp -a -v HighContrast/*x* $startdir/pkg/usr/share/icons/HighContrast
 	cp -a -v hicolor/*x* $startdir/pkg/usr/share/icons/hicolor
 	cp -a -v locolor/*x* $startdir/pkg/usr/share/icons/locolor
 
@@ -290,6 +248,7 @@
 	# some cleanup
 	find $startdir/pkg/usr/share/icons -depth -name "CVS" -type d -exec rm -r {} \; > /dev/null 2>&1
 	rm -f $startdir/pkg/opt/openoffice/program/oo_product.bmp
+	mkdir -p ${pkgdir}/opt/openoffice/basis-link/share/dict/ooo
 	touch $startdir/pkg/opt/openoffice/basis-link/share/dict/ooo/.directory 
 	touch $startdir/pkg/opt/openoffice/basis-link/presets/template/.directory 
 	touch $startdir/pkg/opt/openoffice/share/extension/install/.directory
@@ -301,8 +260,8 @@
 	install -D -m644 $startdir/src/FontOOo_1.7.1.sxw $startdir/pkg/opt/openoffice/share/dict/ooo/FontOOo.sxw
 
 	# add missing spell wizard
-# install -D -m644 $startdir/src/${_OO_milestone}/dictionaries/diclst/DicOOo.sxw $startdir/pkg/opt/openoffice/share/dict/ooo/DicOOo.sxw
-	install -D -m644 $startdir/src/ooo_${_OO_milestone}_src/dictionaries/diclst/DicOOo.sxw $startdir/pkg/opt/openoffice/share/dict/ooo/DicOOo.sxw
+	install -D -m644 $startdir/src/${_OO_milestone}/dictionaries/diclst/DicOOo.sxw $startdir/pkg/opt/openoffice/share/dict/ooo/DicOOo.sxw
+#	install -D -m644 $startdir/src/ooo_${_OO_milestone}_src/dictionaries/diclst/DicOOo.sxw $startdir/pkg/opt/openoffice/share/dict/ooo/DicOOo.sxw
 
 	# link the mozilla-plugin
 	mkdir -p $startdir/pkg/usr/lib/mozilla/plugins/
@@ -313,7 +272,6 @@
 	cd $startdir/pkg/opt/
 	mv openoffice openoffice-dev
 	sed -i -e 's|Exec=/opt/openoffice/program|Exec=/opt/openoffice-dev/program|g' $startdir/pkg/usr/share/applications/*.desktop
-#	sed -i -e 's|Icon=dev-openoffice30|Icon=dev|g' $startdir/pkg/usr/share/applications/*.desktop
 
 	cd $startdir/pkg/usr/bin
 	rm -f soffice spadmin
@@ -334,8 +292,15 @@
 
 	mv $startdir/pkg/opt/openoffice-dev/program/soffice.bin $startdir/pkg/opt/openoffice-dev/program/soffice-dev.bin
 	mv $startdir/pkg/usr/lib/mozilla/plugins/libnpsoplugin.so $startdir/pkg/usr/lib/mozilla/plugins/libnpsoplugin-dev.so
-
-	# fix soffice not starting without set environment
-	cd $startdir/pkg/opt/openoffice-dev/program/
-	patch -Np0 -i $startdir/src/soffice.diff
 }
+md5sums=('6ab9066cf4154eb8d9cd44d60814443f'
+         'b6f168d5a5a902502f793f23afc4e5d1'
+         '50f1b6923deb05756de0efa02c5a63e0'
+         '71f136a31e296a04ab68932a31dd533e'
+         '6c596129fb48316226ce3adfd3a4c86d'
+         'a8b96e9d0ce92a8f6690f277b1cfacc9'
+         '1dc7480a04f572ad136d35923a2af66d'
+         '094f7b2a86086fc76382bd98e3291d6b'
+         '44c4ce8a413dd7dcad77610d1d6d21e1'
+         'a51200f770c635355c430cc5052db8cf'
+         '1fc1ca5205730655eab2d2e119aa06fe')

Modified: default-no-startup-wizard.diff
===================================================================
--- default-no-startup-wizard.diff	2008-08-05 11:08:20 UTC (rev 7977)
+++ default-no-startup-wizard.diff	2008-08-05 11:32:51 UTC (rev 7978)
@@ -1,14 +1,14 @@
 --- desktop/source/migration/wizard.cxx
 +++ desktop/source/migration/wizard.cxx
 @@ -121,6 +121,7 @@
-     ,m_bLicenseWasAccepted(sal_False)
      ,m_bAutomaticUpdChk(sal_True)
+     ,m_aLicensePath( rLicensePath )
  {
 +	return;
      // ---
      // FreeResource();
  //	enableState(STATE_USER, sal_False);
-@@ -381,7 +382,7 @@
+@@ -383,7 +384,7 @@
  
  short FirstStartWizard::Execute()
  {
@@ -16,4 +16,4 @@
 +    return sal_True || svt::RoadmapWizard::Execute();
  }
  
- 
+ static OUString _makeDateTimeString (const DateTime& aDateTime, sal_Bool bUTC = sal_False)

Modified: default-system-fpicker.diff
===================================================================
--- default-system-fpicker.diff	2008-08-05 11:08:20 UTC (rev 7977)
+++ default-system-fpicker.diff	2008-08-05 11:32:51 UTC (rev 7978)
@@ -1,13 +1,13 @@
 --- officecfg/registry/data/org/openoffice/Office/Common.xcu
 +++ officecfg/registry/data/org/openoffice/Office/Common.xcu
-@@ -554,8 +554,8 @@
+@@ -576,8 +576,8 @@
      </node>
    </node>
    <node oor:name="Misc">
 -    <prop oor:name="UseSystemFileDialog"  install:module="UseOOoFileDialogs">
 -      <value>false</value>
-+    <prop oor:name="UseSystemFileDialog"  install:module="UseOOoFileDialogs"> <!-- safe -->
++    <prop oor:name="UseSystemFileDialog"  install:module="UseOOoFileDialogs">
 +      <value>true</value>
      </prop>
-   </node>
-   <node oor:name="Save">
+     <prop oor:name="UseSystemPrintDialog"  install:module="macosx">
+       <value>true</value>

Modified: gui-insensitive.diff
===================================================================
--- gui-insensitive.diff	2008-08-05 11:08:20 UTC (rev 7977)
+++ gui-insensitive.diff	2008-08-05 11:32:51 UTC (rev 7978)
@@ -1,6 +1,6 @@
 --- vcl/inc/vcl/image.h
 +++ vcl/inc/vcl/image.h
-@@ -69,7 +69,7 @@
+@@ -66,7 +66,7 @@
  private:
  
  	BitmapEx	maBmpEx;
@@ -11,7 +11,7 @@
  	BYTE*		mpInfoAry;
 --- vcl/source/gdi/impimage.cxx
 +++ vcl/source/gdi/impimage.cxx
-@@ -240,7 +240,7 @@
+@@ -219,7 +219,7 @@
  	const Size aTotalSize( nInitSize * nItemWidth, nItemHeight );
  
  	maBmpEx = Bitmap( aTotalSize, 24 );
@@ -20,7 +20,7 @@
  
  	delete mpDisplayBmp;
  	mpDisplayBmp = NULL;
-@@ -258,7 +258,7 @@
+@@ -237,7 +237,7 @@
  void ImplImageBmp::Create( const BitmapEx& rBmpEx, long nItemWidth, long nItemHeight, USHORT nInitSize )
  {
  	maBmpEx = rBmpEx;
@@ -29,7 +29,7 @@
  
  	delete mpDisplayBmp;
  	mpDisplayBmp = NULL;
-@@ -283,8 +283,8 @@
+@@ -262,8 +262,8 @@
  
  	maBmpEx.Expand( nDX, 0UL );
  
@@ -40,7 +40,7 @@
  
  	delete mpDisplayBmp;
  	mpDisplayBmp = NULL;
-@@ -315,8 +315,8 @@
+@@ -294,8 +294,8 @@
  
  	maBmpEx.CopyPixel( aDstRect, aSrcRect );
  
@@ -51,7 +51,7 @@
  
  	delete mpDisplayBmp;
  	mpDisplayBmp = NULL;
-@@ -427,8 +427,7 @@
+@@ -406,8 +406,7 @@
  
  			ImplUpdateDisabledBmp( -1 );
  
@@ -61,7 +61,7 @@
  		}
  		else
  		{
-@@ -609,160 +608,96 @@
+@@ -588,160 +587,96 @@
  
  // -----------------------------------------------------------------------
  

Modified: jvmfwk-gij-paths.diff
===================================================================
--- jvmfwk-gij-paths.diff	2008-08-05 11:08:20 UTC (rev 7977)
+++ jvmfwk-gij-paths.diff	2008-08-05 11:32:51 UTC (rev 7978)
@@ -1,6 +1,6 @@
---- jvmfwk/plugins/sunmajor/pluginlib/gnujre.cxx	2007-12-06 17:44:40.000000000 +0000
-+++ jvmfwk/plugins/sunmajor/pluginlib/gnujre.cxx.new	2008-03-12 18:16:37.000000000 +0000
-@@ -75,6 +75,21 @@
+--- jvmfwk/plugins/sunmajor/pluginlib/gnujre.cxx	2008-04-12 08:54:21.000000000 +0000
++++ jvmfwk/plugins/sunmajor/pluginlib/gnujre.cxx.new	2008-06-11 10:25:37.000000000 +0000
+@@ -70,6 +70,22 @@
          "/libjvm.so",
          "/lib/" GCJ_JFW_PLUGIN_ARCH "/client/libjvm.so",
          "/gcj-4.1.1/libjvm.so",
@@ -12,6 +12,7 @@
 +        "/gcj-4.2.2-81/libjvm.so",
 +        "/gcj-4.2.3-81/libjvm.so",
 +        "/gcj-4.3.0-9/libjvm.so",
++        "/gcj-4.3.1-9/libjvm.so",
 +        "/gcj-4.1.2/libjvm.so",
 +        "/libgcj.so.80",
 +        "/libgcj.so.81",

Modified: openoffice.install
===================================================================
--- openoffice.install	2008-08-05 11:08:20 UTC (rev 7977)
+++ openoffice.install	2008-08-05 11:32:51 UTC (rev 7978)
@@ -6,18 +6,18 @@
 echo " NOTE:"
 echo " This package has been built with java support."
 echo " If you want java features for runtime, you can either use: "
-echo " 1. Sun's JRE."
-echo " 2. Java-gcj-compat and gcc-gcj."
+echo " 1. OpenJDK6"
+echo " 2. Sun's JRE."
+echo " 3. Java-gcj-compat and gcc-gcj."
 echo " you will need it for \"help\" section and some java based wizards"
 echo " for further reading: http://wiki.services.openoffice.org/wiki/Java_and_OpenOffice.org"
-echo
-echo " The en_US spellchecker is no longer included. A separate pkg is now"
-echo " available. Use \"pacman -S openoffice-spell-en\" to install it."
 echo " "
-echo " use \"export OOO_FORCE_DESKTOP=kde\" or"
-echo " use \"export OOO_FORCE_DESKTOP=gnome\" to preset your desired look,"
+echo " >>KDE integration is no more supported!<<"
+echo " "
+echo " Please preset Gnome appearance always with"
+echo " \"export OOO_FORCE_DESKTOP=gnome\" even when"
+echo " you are runnning a different desktop!"
 echo " or put it in /etc/profile, rc.local, or ~/.bashrc."
-
 }
 
 post_upgrade() {




More information about the arch-commits mailing list